%global _version 2.7.0

Name: netperf 
Version: 2.7.0
Release: 1%{?dist}
Summary: A Performance benchmark testing tool fro TCP/UDP
License: LGPLv2+
URL: http://github.com/HewlettPackard/netperf
Source0: https://github.com/HewlettPackard/netperf/archive/%{name}-%{_version}.tar.gz

BuildRequires:texinfo,texinfo-tex 

%description
netperf is a clloection of  many different network performance benchmarking tools
Requires: %{name}%{?_isa} = %{version}-%{release}


%package_help

%prep
%setup -q

%build
%configure 
%{__make} %{_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"

%{__rm} -rf %{buildroot}%{_infodir}/dir

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/${infofile} %{_infodir}/dir || :

%pre

%preun
if [ $1 -eq 0 ];then
	/sbin/install-info --delete %{_infodir}/${infofile} %{_infodir}/dir || :
fi

%files
%defattr(-,root,root,0755)
%doc README AUTHORS COPYING Release_Notes
%{_bindir}/netperf
%{_bindir}/netserver
%{_infodir}/netperf.*

%files help
%doc doc/netperf.{html,pdf,txt,xml}
%doc doc/examples
%{_mandir}/man1/*

%changelog
* Tue Mar 13 2020 hushiyuan <hushiyuan@huawei.com> - 2.7.0-1
- Package init
